Create a usage module
curl --request POST \
--url https://api.custral.com/v1/usage-modules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Compression",
"productObjectId": "obj_3Ab9xK2mQ7",
"customerObjectId": "obj_5Bc0xJ1kP4",
"productIdentifierPropertyId": "<string>",
"customerIdentifierPropertyId": "<string>"
}
'import requests
url = "https://api.custral.com/v1/usage-modules"
payload = {
"name": "Compression",
"productObjectId": "obj_3Ab9xK2mQ7",
"customerObjectId": "obj_5Bc0xJ1kP4",
"productIdentifierPropertyId": "<string>",
"customerIdentifierPropertyId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Compression',
productObjectId: 'obj_3Ab9xK2mQ7',
customerObjectId: 'obj_5Bc0xJ1kP4',
productIdentifierPropertyId: '<string>',
customerIdentifierPropertyId: '<string>'
})
};
fetch('https://api.custral.com/v1/usage-modules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "umod_3Ab9xK2mQ7",
"name": "Compression",
"productObjectId": "obj_3Ab9xK2mQ7",
"customerObjectId": "obj_5Bc0xJ1kP4",
"productIdentifierPropertyId": "<string>",
"customerIdentifierPropertyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"reqId": "req_2a1f9c8e7b6d5"
}{
"error": {
"code": "invalid_api_key"
},
"reqId": "req_2a1f9c8e7b6d5"
}{
"error": {
"code": "insufficient_scope"
},
"reqId": "req_2a1f9c8e7b6d5"
}{
"error": {
"code": "not_found"
},
"reqId": "req_2a1f9c8e7b6d5"
}Usage modules
Create a usage module
Create a metered-product setup. Both objects must already exist in this workspace. Requires scope: usage:write.
POST
/
v1
/
usage-modules
Create a usage module
Authorizations
A Custral secret API key (sk_…), created in Settings → Applications. Sent as Authorization: Bearer sk_…. The X-Api-Key: sk_… header is also accepted and takes precedence. Never expose a secret key in a browser.
Body
application/json
Was this page helpful?